gov.ornl.mercury3.services

## Class AbstractReferral

- java.lang.Object
- - gov.ornl.mercury3.services.AbstractReferral

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    Referral

      public abstract class AbstractReferral
      extends Object
      implements Serializable

  AbstractReferral entity provides the base persistence definition of the Referral entity.
  Author:
    MyEclipse Persistence Tools
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractReferral()` default constructor
    `AbstractReferral(ReferralId id)` minimal constructor
    `AbstractReferral(ReferralId id, String type, String subtype, String url, String title, String source)` full constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReferralId` | `getId()`
    `String` | `getSource()`
    `String` | `getSubtype()`
    `String` | `getTitle()`
    `String` | `getType()`
    `String` | `getUrl()`
    `void` | `setId(ReferralId id)`
    `void` | `setSource(String source)`
    `void` | `setSubtype(String subtype)`
    `void` | `setTitle(String title)`
    `void` | `setType(String type)`
    `void` | `setUrl(String url)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractReferral

          public AbstractReferral()

      default constructor

    - #### AbstractReferral

          public AbstractReferral(ReferralId id)

      minimal constructor

    - #### AbstractReferral

          public AbstractReferral(ReferralId id,
                          String type,
                          String subtype,
                          String url,
                          String title,
                          String source)

      full constructor

  - ### Method Detail

    - #### getId

          public ReferralId getId()

    - #### setId

          public void setId(ReferralId id)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getSubtype

          public String getSubtype()

    - #### setSubtype

          public void setSubtype(String subtype)

    - #### getUrl

          public String getUrl()

    - #### setUrl

          public void setUrl(String url)

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle(String title)

    - #### getSource

          public String getSource()

    - #### setSource

          public void setSource(String source)

Copyright © 2016. All rights reserved.